Page MenuHomePhabricator

tests: update test-share-safe to work with non-zstd versions
ClosedPublic

Authored by pulkit on Sep 18 2020, 8:08 AM.

Details

Summary

zstd is not available always like pure py versions. Hence we wrap that part
around #if zstd. To make sure the functionality is tested on pure version
as well, I have added another requirement addition test.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Sep 18 2020, 8:08 AM
indygreg requested changes to this revision.Sep 22 2020, 9:24 PM
indygreg added a subscriber: indygreg.
indygreg added inline comments.
tests/test-share-safe.t
175

There is an #if zstd check that should be used instead.

This revision now requires changes to proceed.Sep 22 2020, 9:24 PM
pulkit retitled this revision from tests: update test-share-safe to work with pure-python versions to tests: update test-share-safe to work with non-zstd versions.Sep 23 2020, 3:22 AM
pulkit edited the summary of this revision. (Show Details)
pulkit updated this revision to Diff 22771.
marmoute accepted this revision.Sep 23 2020, 7:32 AM
marmoute added a subscriber: marmoute.

This looks fine

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.